# Introduction

Fluence provides an open Web3 protocol, framework and tooling to develop and host applications, interfaces and backends on permissionless peer-to-peer networks.

The Fluence Web3 stack enables

* programmable network requests 
* distributed applications from composition without centralization
* communication, access and transactional security as first class citizens
* extensibility through adapter/wrapper services
* efficiencies and improved time to market arising from the reuse of deployed services and significantly reduced devops requirements

by decoupling business logic from composition, security from business logic and resource management from infrastructure.

An integral component of the Fluence solution is the Aquamarine stack comprised of Aqua and Marine. Aqua is a programming language and runtime environment for peer-to-peer workflows. Marine, on the other hand, is a general purpose runtime and associated tooling for multi-module Wasm applications with WASI support and a shared-nothing linking scheme. That is, Marine runs hosted code on nodes and Aqua facilitates the programming of workflows composed from hosted code. In combination, Aqua and Marine enable any distributed application.

Additional resources and support are available:

* [Youtube](https://www.youtube.com/channel/UC3b5eFyKRFlEMwSJ1BTjpbw)
* [Github](https://github.com/fluencelabs)
* [Discord](https://discord.gg/aR2AYErM)
* [Telegram](https://t.me/fluence_project)
* [Twitter](https://twitter.com/fluence_project)

Documentation is work in progress and your feedback is extremely valuable and much appreciated. If you have suggestions or unearth errors or inaccuracies, please open an Issue or push a PR.

Thank You and Enjoy,

The Fluence Team

